Bug 1905253 - Inaccurate text at bottom of Events page
Summary: Inaccurate text at bottom of Events page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Robb Hamilton
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-07 20:52 UTC by Andy Braren
Modified: 2021-02-24 15:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The text at the bottom of the Events timeline is inaccurate and possibly misleading. Consequence: Users can see a misleading message causing them to question the validity of the Events data. Fix: Update the text to simply say "Older events are not stored" rather than trying to be so precise. Result: The text at the bottom of the Events timeline communicates the intended message to the user.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:40:32 UTC
Target Upstream Version:


Attachments (Terms of Use)
Image showing the text at the bottom of page (637.90 KB, image/png)
2020-12-07 20:52 UTC, Andy Braren
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7467 0 None open Bug 1905253: update events timeline empty state and end messages 2021-01-04 20:26:55 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:40:49 UTC

Description Andy Braren 2020-12-07 20:52:14 UTC
Created attachment 1737405 [details]
Image showing the text at the bottom of page

Description of problem:

At the very bottom of the Home > Events page after the oldest event that was generated ~2 hours ago (events older than that are purged) some text explains that "There are no events before X minutes ago" where X is the time that you first loaded the Events page.

This is usually inaccurate, since most of the events on the page were likely generated before X minutes ago.


Version-Release number of selected component (if applicable):
4.7


How reproducible:
100%


Steps to Reproduce:
1. Navigate to Home > Events page
2. Scroll to the very bottom of the page
3. See "There are no events before X minutes ago"


Actual results:
Text that says "There are no events before X minutes ago" which is usually inaccurate.


Expected results:
Text that says "Events older than 2 hours are not stored." and no dynamically-updating relative time.


Additional info:
None

Comment 1 Robb Hamilton 2020-12-17 14:13:26 UTC
Waiting on confirmation of correct TTL so message is correct.

Comment 3 Yanping Zhang 2021-01-07 02:24:50 UTC
Checked on ocp 4.7 cluster with payload 4.7.0-0.nightly-2021-01-06-160219. Now "There are no events before X minutes ago" is replaced with "Older events are not stored."
The bug is fixed.

Comment 6 errata-xmlrpc 2021-02-24 15:40:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.